Commit 79b0bfa8 authored by Benjamin Bouvier's avatar Benjamin Bouvier
Browse files

Dockerfile: install setuptools by pip and not the distrib (fixes #564);

parent 7fb4476a
......@@ -3,13 +3,14 @@ MAINTAINER Benjamin Bouvier <public@benj.me>
# Globally install Weboob and its dependencies.
RUN apt-get update && \
apt-get install -y git python python-setuptools python-dev libffi-dev \
apt-get install -y git python python-dev libffi-dev \
libxml2-dev libxslt-dev libyaml-dev libtiff-dev libjpeg-dev zlib1g-dev \
libfreetype6-dev libwebp-dev build-essential gcc g++ wget;
RUN cd /tmp && \
wget https://bootstrap.pypa.io/get-pip.py && \
python ./get-pip.py && \
pip install -U setuptools && \
pip install html2text simplejson BeautifulSoup
RUN git clone https://git.weboob.org/weboob/devel /tmp/weboob \
......
......@@ -6,13 +6,14 @@ USER root
# Weboob and its dependencies.
RUN apt-get update && \
apt-get install -y python python-setuptools python-dev libffi-dev \
apt-get install -y python python-dev libffi-dev \
libxml2-dev libxslt-dev libyaml-dev libtiff-dev libjpeg-dev zlib1g-dev \
libfreetype6-dev libwebp-dev build-essential gcc g++ wget;
RUN cd /tmp && \
wget https://bootstrap.pypa.io/get-pip.py && \
python ./get-pip.py && \
pip install -U setuptools && \
pip install html2text simplejson BeautifulSoup
RUN git clone https://git.weboob.org/weboob/devel /tmp/weboob \
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment